CollectionUtils.MapBuilder (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class CollectionUtils.MapBuilder

    java.lang.Object
      griffon.util.CollectionUtils.MapBuilder

All Implemented Interfaces:
  Map

    public static class CollectionUtils.MapBuilder

Field Summary
`private Map` | `delegate`

Constructor Summary
`CollectionUtils.MapBuilder(Map delegate)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object o)`
`boolean` | `containsValue(Object o)`
`MapBuilder` | `e(Object k, Object v)`
`Set` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object o)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object k, Object v)`
`void` | `putAll(Map map)`
`Object` | `remove(Object o)`
`int` | `size()`
`Collection` | `values()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### delegate

    private final Map delegate

Constructor Detail

### CollectionUtils.MapBuilder

    public CollectionUtils.MapBuilder(Map delegate)

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(Object o)

### containsValue

    public boolean containsValue(Object o)

### e

    public MapBuilder e(Object k, Object v)

### entrySet

    public Set entrySet()

### equals

    @Override
    public boolean equals(Object o)

### get

    public Object get(Object o)

### hashCode

    @Override
    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### put

    public Object put(Object k, Object v)

### putAll

    public void putAll(Map map)

### remove

    public Object remove(Object o)

### size

    public int size()

### values

    public Collection values()

Groovy Documentation